文档章节

redmine安装webhook

saintli86
 saintli86
发布于 2016/09/30 16:04
字数 214
阅读 127
收藏 0

docker容器中:

gem source --add https://ruby.taobao.org/ --remove https://rubygems.org/

bundle install

要求安装11.2.2的rake

gem install rake -v 11.2.2
 

cd plugins/redmine_webhook

rake redmine:plugins:migrate RAILS_ENV=production

报错:

rake aborted!
Gem::LoadError: You have already activated rake 11.2.2, but your Gemfile requires rake 11.3.0. Prepending `bundle exec` to your command may solve this.
/var/lib/gems/2.1.0/gems/bundler-1.12.5/lib/bundler/runtime.rb:35:in `block in setup'
/var/lib/gems/2.1.0/gems/bundler-1.12.5/lib/bundler/runtime.rb:20:in `map'
/var/lib/gems/2.1.0/gems/bundler-1.12.5/lib/bundler/runtime.rb:20:in `setup'
/var/lib/gems/2.1.0/gems/bundler-1.12.5/lib/bundler.rb:95:in `setup'
/var/lib/gems/2.1.0/gems/bundler-1.12.5/lib/bundler/setup.rb:9:in `<top (required)>'
/home/redmine/redmine/config/boot.rb:4:in `<top (required)>'
/home/redmine/redmine/config/application.rb:1:in `<top (required)>'
/home/redmine/redmine/Rakefile:5:in `<top (required)>'
LoadError: cannot load such file -- bundler/setup
/home/redmine/redmine/config/boot.rb:4:in `<top (required)>'
/home/redmine/redmine/config/application.rb:1:in `<top (required)>'
/home/redmine/redmine/Rakefile:5:in `<top (required)>'
(See full trace by running task with --trace)
 

使用方法:

bundle exec rake redmine:plugins:migrate RAILS_ENV=production

解决

 

 

© 著作权归作者所有

saintli86
粉丝 3
博文 39
码字总数 16458
作品 0
成都
系统管理员
私信 提问
项目管理系统Redmine(v1.1.0)安装手记

一、环境 1.硬件 普通PC。 2.软件 Windows XP操作系统。 二、下载必要的软件 1.Ruby 1.8.x Redmine是基于Ruby On Rails的软件,所以首先要下载Ruby。由于目前Redmine只支持Ruby 1.8,所以这里...

hyper0x
2012/02/27
0
0
Windows 下Redmine-0.9.x的安装

转载自北京群英汇博客 http://www.ossxp.com或http://blog.ossxp.com/ Windows 下Redmine-0.9.x的安装 Redmine是一个灵活的跨平台的项目管理与缺陷跟踪管理工具 。具体的特征,可访问 redmin...

蒋鑫
2010/06/21
1K
0
redmine安装以及安装环境说明?(三)

最近因为要参加学历考试,要撰写论文,一直将此专题搁置了下来,今天有时间来写第三章,redmine如果安装,redmine安装有2种方法,命令行安装和bitnami redmine一键安装程序,建议对于ror不是...

焦荣桂
2012/09/04
0
0
how to install redmine2.4.1 on centos6.3

redmine是什么? 这是基于Ruby+Rails框架开发的一套跨平台项目管理系统, 支持多种数据库(百度) 安装开发包 yum install gcc gcc-c++ make automake autoconf curl-devel openssl-devel zl...

gaolongquan
2013/12/06
0
1
在ubuntu上安装redmine

最近有一个新项目需要用到项目管理工具,最后准备采用redmine,经过一系列的折腾,终于把它安装完成了,现在将安装过程分享出来,为那些遇到同样问题的同学做个参考。 首先按照官方网站的步骤...

FGQ
2014/04/20
0
7

没有更多内容

加载失败,请刷新页面

加载更多

浅谈 Spark 的多语言支持

作者:郑锴,花名铁杰,阿里巴巴高级技术专家,Apache Hadoop PMC,Apache Kerby 创立者。深耕分布式系统开发和开源大数据多年,先后专注在安全,存储和计算领域。之前在 Intel,目前转战阿里...

阿里云云栖社区
28分钟前
2
0
Linux运维常见的硬件及系统问题

一、服务器常见故障和现象 1、有关服务器无法启动的主要原因 : ①市电或电源线故障(断电或接触不良) ②电源或电源模组故障 ③内存故障(一般伴有报警声) ④CPU故障(一般也会有报警声) ⑤主板故...

寰宇01
35分钟前
0
0
Confluence 6 针对 'unmigrated-wiki-markup' 宏重新尝试合并

在签名的章节中,我们主要是针对没有完全合并完成余下的为合并内容的异常处理。最常见的情况是内容以及被合并了,但是页面使用 wiki 标记的内容没有被合并,通常这些 wiki 标记的内容使用了 ...

honeymoose
45分钟前
2
0
ubuntu 18.04桌面版启动错误: Unable to mount root fs on unknown-block(0,0)

问题出现过程 *** 我的环境: visualbox 虚拟机 Ubuntu 18.04 桌面版 IP:192.168.1.186 (最初从 192.168.1.185 克隆过来的) 20190423 晚上准备安装一个 UNlet standalone 和 一个 Eclips...

wwzzhh166
47分钟前
1
0
fescar select for update 读隔离级别实现

/* * Copyright 1999-2018 Alibaba Group Holding Ltd. * * Licensed under the Apache License, Version 2.0 (the "License"); * you may not use this file except in complian......

xiaomin0322
50分钟前
2
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部